opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Typedefs | Enumerations
types_c.h File Reference

Go to the source code of this file.

## Classes
struct | CvChainPtReader
struct | CvConnectedComp
struct | CvConvexityDefect
struct | CvHuMoments
struct | CvMoments
struct | CvQuadEdge2D
struct | CvSubdiv2D
struct | CvSubdiv2DPoint

## Macros
#define | CV_INIT_3X3_DELTAS(deltas, step, nch)
#define | CV_QUADEDGE2D_FIELDS()
#define | CV_SUBDIV2D_FIELDS()
#define | CV_SUBDIV2D_NEXT_EDGE(edge) (((CvQuadEdge2D*)((edge) & ~3))->next[(edge)&3])
#define | CV_SUBDIV2D_POINT_FIELDS()
#define | CV_SUBDIV2D_VIRTUAL_POINT_FLAG (1 << 30)

## Typedefs
typedef struct CvChainPtReader | CvChainPtReader
typedef struct CvConnectedComp | CvConnectedComp
typedef struct _CvContourScanner * | CvContourScanner
typedef struct CvConvexityDefect | CvConvexityDefect
typedef float(CV_CDECL * | CvDistanceFunction )(const float *a, const float *b, void *user_param)
typedef struct CvHuMoments | CvHuMoments
typedef struct CvMoments | CvMoments
typedef enum CvNextEdgeType | CvNextEdgeType
typedef struct CvQuadEdge2D | CvQuadEdge2D
typedef struct CvSubdiv2D | CvSubdiv2D
typedef size_t | CvSubdiv2DEdge
typedef struct CvSubdiv2DPoint | CvSubdiv2DPoint
typedef enum CvSubdiv2DPointLocation | CvSubdiv2DPointLocation

## Enumerations
enum | { CV_BLUR_NO_SCALE =0, CV_BLUR =1, CV_GAUSSIAN =2, CV_MEDIAN =3, CV_BILATERAL =4 }
enum | { CV_GAUSSIAN_5x5 = 7 }
enum | { CV_INPAINT_NS =0, CV_INPAINT_TELEA =1 }
enum | { CV_SCHARR =-1, CV_MAX_SOBEL_KSIZE =7 }
enum | { CV_BGR2BGRA =0, CV_RGB2RGBA =CV_BGR2BGRA, CV_BGRA2BGR =1, CV_RGBA2RGB =CV_BGRA2BGR, CV_BGR2RGBA =2, CV_RGB2BGRA =CV_BGR2RGBA, CV_RGBA2BGR =3, CV_BGRA2RGB =CV_RGBA2BGR, CV_BGR2RGB =4, CV_RGB2BGR =CV_BGR2RGB, CV_BGRA2RGBA =5, CV_RGBA2BGRA =CV_BGRA2RGBA, CV_BGR2GRAY =6, CV_RGB2GRAY =7, CV_GRAY2BGR =8, CV_GRAY2RGB =CV_GRAY2BGR, CV_GRAY2BGRA =9, CV_GRAY2RGBA =CV_GRAY2BGRA, CV_BGRA2GRAY =10, CV_RGBA2GRAY =11, CV_BGR2BGR565 =12, CV_RGB2BGR565 =13, CV_BGR5652BGR =14, CV_BGR5652RGB =15, CV_BGRA2BGR565 =16, CV_RGBA2BGR565 =17, CV_BGR5652BGRA =18, CV_BGR5652RGBA =19, CV_GRAY2BGR565 =20, CV_BGR5652GRAY =21, CV_BGR2BGR555 =22, CV_RGB2BGR555 =23, CV_BGR5552BGR =24, CV_BGR5552RGB =25, CV_BGRA2BGR555 =26, CV_RGBA2BGR555 =27, CV_BGR5552BGRA =28, CV_BGR5552RGBA =29, CV_GRAY2BGR555 =30, CV_BGR5552GRAY =31, CV_BGR2XYZ =32, CV_RGB2XYZ =33, CV_XYZ2BGR =34, CV_XYZ2RGB =35, CV_BGR2YCrCb =36, CV_RGB2YCrCb =37, CV_YCrCb2BGR =38, CV_YCrCb2RGB =39, CV_BGR2HSV =40, CV_RGB2HSV =41, CV_BGR2Lab =44, CV_RGB2Lab =45, CV_BayerBG2BGR =46, CV_BayerGB2BGR =47, CV_BayerRG2BGR =48, CV_BayerGR2BGR =49, CV_BayerBG2RGB =CV_BayerRG2BGR, CV_BayerGB2RGB =CV_BayerGR2BGR, CV_BayerRG2RGB =CV_BayerBG2BGR, CV_BayerGR2RGB =CV_BayerGB2BGR, CV_BGR2Luv =50, CV_RGB2Luv =51, CV_BGR2HLS =52, CV_RGB2HLS =53, CV_HSV2BGR =54, CV_HSV2RGB =55, CV_Lab2BGR =56, CV_Lab2RGB =57, CV_Luv2BGR =58, CV_Luv2RGB =59, CV_HLS2BGR =60, CV_HLS2RGB =61, CV_BayerBG2BGR_VNG =62, CV_BayerGB2BGR_VNG =63, CV_BayerRG2BGR_VNG =64, CV_BayerGR2BGR_VNG =65, CV_BayerBG2RGB_VNG =CV_BayerRG2BGR_VNG, CV_BayerGB2RGB_VNG =CV_BayerGR2BGR_VNG, CV_BayerRG2RGB_VNG =CV_BayerBG2BGR_VNG, CV_BayerGR2RGB_VNG =CV_BayerGB2BGR_VNG, CV_BGR2HSV_FULL = 66, CV_RGB2HSV_FULL = 67, CV_BGR2HLS_FULL = 68, CV_RGB2HLS_FULL = 69, CV_HSV2BGR_FULL = 70, CV_HSV2RGB_FULL = 71, CV_HLS2BGR_FULL = 72, CV_HLS2RGB_FULL = 73, CV_LBGR2Lab = 74, CV_LRGB2Lab = 75, CV_LBGR2Luv = 76, CV_LRGB2Luv = 77, CV_Lab2LBGR = 78, CV_Lab2LRGB = 79, CV_Luv2LBGR = 80, CV_Luv2LRGB = 81, CV_BGR2YUV = 82, CV_RGB2YUV = 83, CV_YUV2BGR = 84, CV_YUV2RGB = 85, CV_COLORCVT_MAX =100 }
enum | { CV_INTER_NN =0, CV_INTER_LINEAR =1, CV_INTER_CUBIC =2, CV_INTER_AREA =3, CV_INTER_LANCZOS4 =4 }
enum | { CV_WARP_FILL_OUTLIERS =8, CV_WARP_INVERSE_MAP =16 }
enum | { CV_SHAPE_RECT =0, CV_SHAPE_CROSS =1, CV_SHAPE_ELLIPSE =2, CV_SHAPE_CUSTOM =100 }
enum | { CV_MOP_ERODE =0, CV_MOP_DILATE =1, CV_MOP_OPEN =2, CV_MOP_CLOSE =3, CV_MOP_GRADIENT =4, CV_MOP_TOPHAT =5, CV_MOP_BLACKHAT =6 }
enum | { CV_TM_SQDIFF =0, CV_TM_SQDIFF_NORMED =1, CV_TM_CCORR =2, CV_TM_CCORR_NORMED =3, CV_TM_CCOEFF =4, CV_TM_CCOEFF_NORMED =5 }
enum | { CV_RETR_EXTERNAL =0, CV_RETR_LIST =1, CV_RETR_CCOMP =2, CV_RETR_TREE =3 }
enum | { CV_CHAIN_CODE =0, CV_CHAIN_APPROX_NONE =1, CV_CHAIN_APPROX_SIMPLE =2, CV_CHAIN_APPROX_TC89_L1 =3, CV_CHAIN_APPROX_TC89_KCOS =4, CV_LINK_RUNS =5 }
enum | { CV_POLY_APPROX_DP = 0 }
enum | { CV_CONTOURS_MATCH_I1 =1, CV_CONTOURS_MATCH_I2 =2, CV_CONTOURS_MATCH_I3 =3 }
enum | { CV_CLOCKWISE =1, CV_COUNTER_CLOCKWISE =2 }
enum | { CV_COMP_CORREL =0, CV_COMP_CHISQR =1, CV_COMP_INTERSECT =2, CV_COMP_BHATTACHARYYA =3 }
enum | { CV_DIST_MASK_3 =3, CV_DIST_MASK_5 =5, CV_DIST_MASK_PRECISE =0 }
enum | { CV_DIST_USER =-1, CV_DIST_L1 =1, CV_DIST_L2 =2, CV_DIST_C =3, CV_DIST_L12 =4, CV_DIST_FAIR =5, CV_DIST_WELSCH =6, CV_DIST_HUBER =7 }
enum | { CV_THRESH_BINARY =0, CV_THRESH_BINARY_INV =1, CV_THRESH_TRUNC =2, CV_THRESH_TOZERO =3, CV_THRESH_TOZERO_INV =4, CV_THRESH_MASK =7, CV_THRESH_OTSU =8 }
enum | { CV_ADAPTIVE_THRESH_MEAN_C =0, CV_ADAPTIVE_THRESH_GAUSSIAN_C =1 }
enum | { CV_FLOODFILL_FIXED_RANGE =(1 << 16), CV_FLOODFILL_MASK_ONLY =(1 << 17) }
enum | { CV_CANNY_L2_GRADIENT =(1 << 31) }
enum | { CV_HOUGH_STANDARD =0, CV_HOUGH_PROBABILISTIC =1, CV_HOUGH_MULTI_SCALE =2, CV_HOUGH_GRADIENT =3 }
enum | CvNextEdgeType { CV_NEXT_AROUND_ORG = 0x00, CV_NEXT_AROUND_DST = 0x22, CV_PREV_AROUND_ORG = 0x11, CV_PREV_AROUND_DST = 0x33, CV_NEXT_AROUND_LEFT = 0x13, CV_NEXT_AROUND_RIGHT = 0x31, CV_PREV_AROUND_LEFT = 0x20, CV_PREV_AROUND_RIGHT = 0x02 }
enum | CvSubdiv2DPointLocation { CV_PTLOC_ERROR = -2, CV_PTLOC_OUTSIDE_RECT = -1, CV_PTLOC_INSIDE = 0, CV_PTLOC_VERTEX = 1, CV_PTLOC_ON_EDGE = 2 }

## Macro Definition Documentation

#define CV_INIT_3X3_DELTAS | ( |  | deltas,
|  |  | step,
|  |  | nch
| ) |  |

Value:
((deltas)[0] = (nch), (deltas)[1] = -(step) + (nch), \
(deltas)[2] = -(step), (deltas)[3] = -(step) - (nch), \
(deltas)[4] = -(nch), (deltas)[5] = (step) - (nch), \
(deltas)[6] = (step), (deltas)[7] = (step) + (nch))

#define CV_QUADEDGE2D_FIELDS | ( |  | ) |

Value:
int flags; \
struct CvSubdiv2DPoint* pt[4]; \
CvSubdiv2DEdge next[4];

#define CV_SUBDIV2D_FIELDS | ( |  | ) |

Value:
CV_GRAPH_FIELDS() \
int quad_edges; \
int is_geometry_valid; \
CvSubdiv2DEdge recent_edge; \
CvPoint2D32f topleft; \
CvPoint2D32f bottomright;

#define CV_SUBDIV2D_NEXT_EDGE | ( |  | edge | ) | (((CvQuadEdge2D*)((edge) & ~3))->next[(edge)&3])

#define CV_SUBDIV2D_POINT_FIELDS | ( |  | ) |

Value:
int flags; \
CvSubdiv2DEdge first; \
CvPoint2D32f pt; \
int id;

#define CV_SUBDIV2D_VIRTUAL_POINT_FLAG (1 << 30)

## Typedef Documentation

typedef struct CvChainPtReader CvChainPtReader

typedef struct CvConnectedComp CvConnectedComp

typedef struct _CvContourScanner* CvContourScanner

typedef struct CvConvexityDefect CvConvexityDefect

typedef float(CV_CDECL * CvDistanceFunction)(const float *a, const float *b, void *user_param)

typedef struct CvHuMoments CvHuMoments

typedef struct CvMoments CvMoments

typedef enum CvNextEdgeType CvNextEdgeType

typedef struct CvQuadEdge2D CvQuadEdge2D

typedef struct CvSubdiv2D CvSubdiv2D

typedef size_t CvSubdiv2DEdge

typedef struct CvSubdiv2DPoint CvSubdiv2DPoint

typedef enum CvSubdiv2DPointLocation CvSubdiv2DPointLocation

## Enumeration Type Documentation

anonymous enum

Enumerator:

  CV_BLUR_NO_SCALE |
  CV_BLUR |
  CV_GAUSSIAN |
  CV_MEDIAN |
  CV_BILATERAL |

anonymous enum

Enumerator:

  CV_GAUSSIAN_5x5 |

anonymous enum

Enumerator:

  CV_INPAINT_NS |
  CV_INPAINT_TELEA |

anonymous enum

Enumerator:

  CV_SCHARR |
  CV_MAX_SOBEL_KSIZE |

anonymous enum

Enumerator:

  CV_BGR2BGRA |
  CV_RGB2RGBA |
  CV_BGRA2BGR |
  CV_RGBA2RGB |
  CV_BGR2RGBA |
  CV_RGB2BGRA |
  CV_RGBA2BGR |
  CV_BGRA2RGB |
  CV_BGR2RGB |
  CV_RGB2BGR |
  CV_BGRA2RGBA |
  CV_RGBA2BGRA |
  CV_BGR2GRAY |
  CV_RGB2GRAY |
  CV_GRAY2BGR |
  CV_GRAY2RGB |
  CV_GRAY2BGRA |
  CV_GRAY2RGBA |
  CV_BGRA2GRAY |
  CV_RGBA2GRAY |
  CV_BGR2BGR565 |
  CV_RGB2BGR565 |
  CV_BGR5652BGR |
  CV_BGR5652RGB |
  CV_BGRA2BGR565 |
  CV_RGBA2BGR565 |
  CV_BGR5652BGRA |
  CV_BGR5652RGBA |
  CV_GRAY2BGR565 |
  CV_BGR5652GRAY |
  CV_BGR2BGR555 |
  CV_RGB2BGR555 |
  CV_BGR5552BGR |
  CV_BGR5552RGB |
  CV_BGRA2BGR555 |
  CV_RGBA2BGR555 |
  CV_BGR5552BGRA |
  CV_BGR5552RGBA |
  CV_GRAY2BGR555 |
  CV_BGR5552GRAY |
  CV_BGR2XYZ |
  CV_RGB2XYZ |
  CV_XYZ2BGR |
  CV_XYZ2RGB |
  CV_BGR2YCrCb |
  CV_RGB2YCrCb |
  CV_YCrCb2BGR |
  CV_YCrCb2RGB |
  CV_BGR2HSV |
  CV_RGB2HSV |
  CV_BGR2Lab |
  CV_RGB2Lab |
  CV_BayerBG2BGR |
  CV_BayerGB2BGR |
  CV_BayerRG2BGR |
  CV_BayerGR2BGR |
  CV_BayerBG2RGB |
  CV_BayerGB2RGB |
  CV_BayerRG2RGB |
  CV_BayerGR2RGB |
  CV_BGR2Luv |
  CV_RGB2Luv |
  CV_BGR2HLS |
  CV_RGB2HLS |
  CV_HSV2BGR |
  CV_HSV2RGB |
  CV_Lab2BGR |
  CV_Lab2RGB |
  CV_Luv2BGR |
  CV_Luv2RGB |
  CV_HLS2BGR |
  CV_HLS2RGB |
  CV_BayerBG2BGR_VNG |
  CV_BayerGB2BGR_VNG |
  CV_BayerRG2BGR_VNG |
  CV_BayerGR2BGR_VNG |
  CV_BayerBG2RGB_VNG |
  CV_BayerGB2RGB_VNG |
  CV_BayerRG2RGB_VNG |
  CV_BayerGR2RGB_VNG |
  CV_BGR2HSV_FULL |
  CV_RGB2HSV_FULL |
  CV_BGR2HLS_FULL |
  CV_RGB2HLS_FULL |
  CV_HSV2BGR_FULL |
  CV_HSV2RGB_FULL |
  CV_HLS2BGR_FULL |
  CV_HLS2RGB_FULL |
  CV_LBGR2Lab |
  CV_LRGB2Lab |
  CV_LBGR2Luv |
  CV_LRGB2Luv |
  CV_Lab2LBGR |
  CV_Lab2LRGB |
  CV_Luv2LBGR |
  CV_Luv2LRGB |
  CV_BGR2YUV |
  CV_RGB2YUV |
  CV_YUV2BGR |
  CV_YUV2RGB |
  CV_COLORCVT_MAX |

anonymous enum

Enumerator:

  CV_INTER_NN |
  CV_INTER_LINEAR |
  CV_INTER_CUBIC |
  CV_INTER_AREA |
  CV_INTER_LANCZOS4 |

anonymous enum

Enumerator:

  CV_WARP_FILL_OUTLIERS |
  CV_WARP_INVERSE_MAP |

anonymous enum

Enumerator:

  CV_SHAPE_RECT |
  CV_SHAPE_CROSS |
  CV_SHAPE_ELLIPSE |
  CV_SHAPE_CUSTOM |

anonymous enum

Enumerator:

  CV_MOP_ERODE |
  CV_MOP_DILATE |
  CV_MOP_OPEN |
  CV_MOP_CLOSE |
  CV_MOP_GRADIENT |
  CV_MOP_TOPHAT |
  CV_MOP_BLACKHAT |

anonymous enum

Enumerator:

  CV_TM_SQDIFF |
  CV_TM_SQDIFF_NORMED |
  CV_TM_CCORR |
  CV_TM_CCORR_NORMED |
  CV_TM_CCOEFF |
  CV_TM_CCOEFF_NORMED |

anonymous enum

Enumerator:

  CV_RETR_EXTERNAL |
  CV_RETR_LIST |
  CV_RETR_CCOMP |
  CV_RETR_TREE |

anonymous enum

Enumerator:

  CV_CHAIN_CODE |
  CV_CHAIN_APPROX_NONE |
  CV_CHAIN_APPROX_SIMPLE |
  CV_CHAIN_APPROX_TC89_L1 |
  CV_CHAIN_APPROX_TC89_KCOS |
  CV_LINK_RUNS |

anonymous enum

Enumerator:

  CV_POLY_APPROX_DP |

anonymous enum

Enumerator:

  CV_CONTOURS_MATCH_I1 |
  CV_CONTOURS_MATCH_I2 |
  CV_CONTOURS_MATCH_I3 |

anonymous enum

Enumerator:

  CV_CLOCKWISE |
  CV_COUNTER_CLOCKWISE |

anonymous enum

Enumerator:

  CV_COMP_CORREL |
  CV_COMP_CHISQR |
  CV_COMP_INTERSECT |
  CV_COMP_BHATTACHARYYA |

anonymous enum

Enumerator:

  CV_DIST_MASK_3 |
  CV_DIST_MASK_5 |
  CV_DIST_MASK_PRECISE |

anonymous enum

Enumerator:

  CV_DIST_USER |
  CV_DIST_L1 |
  CV_DIST_L2 |
  CV_DIST_C |
  CV_DIST_L12 |
  CV_DIST_FAIR |
  CV_DIST_WELSCH |
  CV_DIST_HUBER |

anonymous enum

Enumerator:

  CV_THRESH_BINARY |
  CV_THRESH_BINARY_INV |
  CV_THRESH_TRUNC |
  CV_THRESH_TOZERO |
  CV_THRESH_TOZERO_INV |
  CV_THRESH_MASK |
  CV_THRESH_OTSU |

anonymous enum

Enumerator:

  CV_ADAPTIVE_THRESH_MEAN_C |
  CV_ADAPTIVE_THRESH_GAUSSIAN_C |

anonymous enum

Enumerator:

  CV_FLOODFILL_FIXED_RANGE |
  CV_FLOODFILL_MASK_ONLY |

anonymous enum

Enumerator:

  CV_CANNY_L2_GRADIENT |

anonymous enum

Enumerator:

  CV_HOUGH_STANDARD |
  CV_HOUGH_PROBABILISTIC |
  CV_HOUGH_MULTI_SCALE |
  CV_HOUGH_GRADIENT |

enum CvNextEdgeType

Enumerator:

  CV_NEXT_AROUND_ORG |
  CV_NEXT_AROUND_DST |
  CV_PREV_AROUND_ORG |
  CV_PREV_AROUND_DST |
  CV_NEXT_AROUND_LEFT |
  CV_NEXT_AROUND_RIGHT |
  CV_PREV_AROUND_LEFT |
  CV_PREV_AROUND_RIGHT |

enum CvSubdiv2DPointLocation

Enumerator:

  CV_PTLOC_ERROR |
  CV_PTLOC_OUTSIDE_RECT |
  CV_PTLOC_INSIDE |
  CV_PTLOC_VERTEX |
  CV_PTLOC_ON_EDGE |